ghc-9.6.3: The GHC API

Safe Haskell | Safe-Inferred
Language | Haskell2010

GHC.Driver.Errors.Ppr

Contents

- Orphan instances

# Orphan instances

Diagnostic DriverMessage Source # |

Instance details

Associated Types

type DiagnosticOpts DriverMessage Source #

Methods

defaultDiagnosticOpts :: DiagnosticOpts DriverMessage Source #

diagnosticMessage :: DiagnosticOpts DriverMessage -> DriverMessage -> DecoratedSDoc Source #

diagnosticReason :: DriverMessage -> DiagnosticReason Source #

diagnosticHints :: DriverMessage -> [GhcHint] Source #

diagnosticCode :: DriverMessage -> Maybe DiagnosticCode Source #

Diagnostic GhcMessage Source # |

Instance details

Associated Types

type DiagnosticOpts GhcMessage Source #

Methods

defaultDiagnosticOpts :: DiagnosticOpts GhcMessage Source #

diagnosticMessage :: DiagnosticOpts GhcMessage -> GhcMessage -> DecoratedSDoc Source #

diagnosticReason :: GhcMessage -> DiagnosticReason Source #

diagnosticHints :: GhcMessage -> [GhcHint] Source #

diagnosticCode :: GhcMessage -> Maybe DiagnosticCode Source #